TakenAt: 2023-10-20T13:03:26Z
TakenAtLocal: 2023-10-20T14:03:26Z
TakenSrc: meta
UID: pt67t89l0wf8jud7
Type: image
Title: Water / Rother / 2023
TimeZone: Europe/London
PlaceSrc: meta
Altitude: 16
Lat: 50.90311111111111
Lng: 0.39593333333333336
Year: 2023
Month: 10
Day: 20
ISO: 25
Exposure: 1/474
FNumber: 1.9
FocalLength: 23
Quality: 4
Faces: 1
Details:
  Keywords: ashburnham, blue, bread, broad, brown, england, nature, portrait, rother,
    street, united-kingdom, water
  Software: 17.0.3
  SoftwareSrc: meta
CreatedAt: 2025-11-24T05:14:33Z
UpdatedAt: 2025-11-24T09:03:23Z
